#! /usr/bin/env bash

source "$(dirname "$0")/versions.sh" &&

flatpak remote-add --user --if-not-exists flathub https://flathub.org/repo/flathub.flatpakrepo &&
flatpak install -y --noninteractive --user flathub org.gnome.Platform/x86_64/$GNOME_VERSION &&
flatpak install -y --noninteractive --user flathub org.gnome.Platform.Compat.i386/x86_64/$GNOME_VERSION &&
flatpak install -y --noninteractive --user flathub org.gnome.Platform.Locale/x86_64/$GNOME_VERSION &&
flatpak install -y --noninteractive --user flathub org.gnome.Sdk/x86_64/$GNOME_VERSION &&
flatpak install -y --noninteractive --user flathub org.gnome.Sdk.Compat.i386/x86_64/$GNOME_VERSION &&
flatpak install -y --noninteractive --user flathub org.gnome.Sdk.Docs/x86_64/$GNOME_VERSION &&
flatpak install -y --noninteractive --user flathub org.gnome.Sdk.Locale/x86_64/$GNOME_VERSION &&
flatpak update -y --noninteractive --user